Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 407621 - media-sound/sox-14.4.0 configure: error: cannot find ffmpeg (with ffmpeg-9999)
Summary: media-sound/sox-14.4.0 configure: error: cannot find ffmpeg (with ffmpeg-9999)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ffmpeg-0.11-breakage
  Show dependency tree
 
Reported: 2012-03-10 03:38 UTC by Anton Kochkov
Modified: 2012-07-13 10:57 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
full build log (sox-build.log,12.85 KB, text/plain)
2012-03-10 03:38 UTC, Anton Kochkov
Details
full config log (sox-config.log,108.61 KB, text/plain)
2012-03-10 03:39 UTC, Anton Kochkov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Kochkov 2012-03-10 03:38:15 UTC
Created attachment 304783 [details]
full build log

though it have ffmpeg-9999 installed

checking for SNDFILE... yes
checking sndfile.h usability... yes
checking sndfile.h presence... yes
checking for sndfile.h... yes
checking for sf_open_virtual... yes
checking whether SF_FORMAT_OGG is declared... yes
checking whether SFC_SET_SCALE_INT_FLOAT_WRITE is declared... yes
checking for FFMPEG... yes
checking libavformat/avformat.h usability... yes
checking libavformat/avformat.h presence... yes
checking for libavformat/avformat.h... yes
checking for av_open_input_file in -lavformat... no
configure: error: in `/var/tmp/portage/media-sound/sox-14.4.0/work/sox-14.4.0':
configure: error: cannot find ffmpeg
See `config.log' for more details

emerge --info output: https://bugs.gentoo.org/attachment.cgi?id=304777
Comment 1 Anton Kochkov 2012-03-10 03:39:59 UTC
Created attachment 304785 [details]
full config log
Comment 2 Anton Kochkov 2012-03-10 04:19:54 UTC
Sorry, ffmpeg package not installed, so sox ebuild need ffmpeg as dependency.
Comment 3 Richard Grenville 2012-03-10 04:40:07 UTC
ffmpeg devs removed the deprecated function av_open_input_file() on Fri, 27 Jan 2012, but media-sound/sox's configure script checks for it, so media-sound/sox probably fails in configure phase with ffmpeg-9999. Downgrading to <=ffmpeg-0.10 should help.

http://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=2fb7501938b7103624c9bef740ca498258cacdab
Comment 4 Kelly Price 2012-03-31 15:12:20 UTC
I have this error on sox-14.3.2.  As a work-around I'm compiling this with the  -ffmpeg use flag... and nuking OpenShot (I never use it).
Comment 5 milan hodoscek 2012-05-27 23:49:05 UTC
This happens now with ffmpeg-0.11 which is in portage for ~amd64
Comment 6 Alexis Ballier gentoo-dev 2012-05-27 23:55:52 UTC
(In reply to comment #5)
> This happens now with ffmpeg-0.11 which is in portage for ~amd64

it is masked...
Comment 7 Alexis Ballier gentoo-dev 2012-07-13 10:57:54 UTC
fixed now